
Ruby - Feature #12160

Extract XMLRPC library to bundled gem

03/09/2016 06:09 AM - hsbt (Hiroshi SHIBATA)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

Description

XMLRPC library is no longer maintain actively.

I removed broken parsers in Mar. 2016. This issue opend at 2014.

No one handle between 2014 and 2016.

https://bugs.ruby-lang.org/issues/9370

https://bugs.ruby-lang.org/issues/9369

We could not handle this gem, I propose to move XMLRPC to bundled gem from stdlib.

I prepared to make repository ( http://github.com/hsbt/xmlrpc ) and gemified.

Related issues:

Related to Ruby - Feature #5481: Gemifying Ruby standard library Closed

Associated revisions

Revision e2bb529c8f77a1a2911b13f1949c8813ee29f740 - 05/16/2016 02:41 AM - hsbt (Hiroshi SHIBATA)

lib/xmlrpc.rb, lib/xmlrpc/*, test/xmlrpc: XMLRPC is bundled gem

on Ruby 2.4. [Feature #12160][ruby-core:74239]

gems/bundled_gems: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55013 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision e2bb529c - 05/16/2016 02:41 AM - hsbt (Hiroshi SHIBATA)

lib/xmlrpc.rb, lib/xmlrpc/*, test/xmlrpc: XMLRPC is bundled gem

on Ruby 2.4. [Feature #12160][ruby-core:74239]

gems/bundled_gems: ditto.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@55013 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9b09175d3864bd98ed75a71420e12b44884cff03 - 11/06/2016 09:23 AM - hsbt (Hiroshi SHIBATA)

NEWS: Added entry for [Feature #12160][ruby-core:74239]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56635 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 9b09175d - 11/06/2016 09:23 AM - hsbt (Hiroshi SHIBATA)

NEWS: Added entry for [Feature #12160][ruby-core:74239]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56635 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/09/2016 06:10 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #5481: Gemifying Ruby standard library added

#2 - 03/10/2016 04:10 AM - kou (Kouhei Sutou)

As the lib/xmlrpc maintainer, I missed these issues. Sorry and thanks for handling them.

I handled issues I noticed (e.g. #11489 2 months ago) but I don't object that you maintain lib/xmlrpc as a gem.

07/21/2025 1/2

https://bugs.ruby-lang.org/issues/9370
https://bugs.ruby-lang.org/issues/9369
http://github.com/hsbt/xmlrpc
https://bugs.ruby-lang.org/issues/11489


#3 - 05/16/2016 02:41 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Applied in changeset r55013.

lib/xmlrpc.rb, lib/xmlrpc/*, test/xmlrpc: XMLRPC is bundled gem

on Ruby 2.4. [Feature #12160][ruby-core:74239]

gems/bundled_gems: ditto.
